---
schema_version: "1"
id: dc1ed5b63d2e11abb75a551e7b3ae35c3e086daf4021ae59f036c024a3b28e17
title: Update List View Metadata
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_list_views_md_patch.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_list_views_md_patch.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 8fd76400f37bf4ad7f9102668cf709ec393e1c56c5343bb26197ba08387131b1
description: Update list view metadata.
---
# Update List View Metadata

Update list view metadata.

Resource

/ui-api/list-info/${objectApiName}/${listViewApiName}

- objectApiName—A [supported](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_get_started_supported_objects.htm#ui_api_get_started_supported_objects "User Interface API supports all custom objects and external objects and many standard objects.") object, such as Account.
- listViewApiName—The API name of a list view, such as AllAccounts.

Available Version

61.0

HTTP Method

PATCH

Example

This example uses a request body to update the metadata for a list view. The object API name is Account and the list view API name is AllAccounts.

PATCH /services/data/v68.0/ui-api/list-info/Account/AllAccounts

{
"filteredByInfo": \[
  {
  "fieldApiName": "Name",
  "operandLabels": \[ "This", "That"\],
  "operator": "Equals"
  },
  {
  "fieldApiName": "Phone",
  "operandLabels": \[ "919"\],
  "operator": "StartsWith"
  },
{
  "fieldApiName": "AnnualRevenue",
  "operandLabels": \[ "1000000"\],
  "operator": "GreaterThan"
  }
\],
"filterLogicString" : "(1 OR 2) AND 3",
"label": "Accounts opened this year",
"scope": {
  "apiName": "entity",
  "entityId": "00Gxx000000sjI8",
  "relatedEntityId": "701xx000003HZ7X"
},
"visibility": "Public"
}

Request parameters

| Parameter Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| listInfoInput | [List Info Input](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_list_info_input.htm "Info to update a list.") | The list info to update. | Required | 61.0 |

Response Body

[List Info](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_list_metadata.htm "Metadata that describes a list.")